PPMCIE(1)

NAME
ppmcie - draw a CIE colour chart in a portable pixmap

SYNOPSIS
ppmcie [-noblack]
[-nowpoint] [-interpwp] [-full] [-cie|-ebu|-hdtv |-ntsc|-smpte] [-red rx ry] [-green gx gy] [-blue bx by] [-white wx wy] [-size edge] [-xsize|-width width] [-ysize|-height height]

DESCRIPTION
ppmcie creates a portable pixmap containing a plot of the CIE ``tongue'' colour chart, showing the colour gamut of either a standard or user-specified colour system, annotated with axes, a mark indicating the white point of the colour system, and the black body chromaticity curve for Planckian radiators from 1000 to 30000 kelvins. The axes are labeled with the CIE X and Y coordinates, the periphery of the tongue is annotated with the wavelength of light, in nanometres, of the pure hues which appear there, and the black body chromaticity curve is marked with the temperature in kelvins.

CIE charts, by their very nature, contain a very large number of colours. If you're encoding the chart for a colour mapped device or file format, you'll need to use ppmquant or ppmdither to reduce the number of colours in the image.

OPTIONS

-cie|-ebu|-hdtv|-ntsc|-smpte
    Select a standard colour system whose gamut (the area inside the triangle formed by the three primary colours) and white point are plotted within the CIE tongue chart. The default is -ebu, the primaries used in the PAL and SECAM broadcasting standards. -ntsc chooses the primaries specified by the NTSC broadcasting system (few modern monitors actually cover this range). -smpte selects the primaries recommended by the Society of Motion Picture and Television Engineers (SMPTE) in standards RP-37 and RP-145, and -hdtv uses the much broader HDTV ideal primaries. -cie uses the CIE RGB primaries with wavelengths of 700 nm, 546.1 nm, and 438.8 nm respectively; the CIE white point is defined by equal R, G, and B intensities.

-red rx ry
    specifies the CIE x and y co-ordinates of the red illuminant of a custom colour system and selects the custom system.

-green gx gy
    specifies the CIE x and y co-ordinates of the green illuminant of the colour system and selects the custom system.

-blue bx by
    specifies the CIE x and y co-ordinates of the blue illuminant of the colour system and selects the custom system.

-white wx wy
    specifies the CIE x and y co-ordinates of the white point of the colour system and selects the custom system.

-size edge
    Create a pixmap of edge by edge pixels. The default is 512x512.

-xsize|-width width
    Sets the width of the generated image to width pixels. The default width is 512 pixels. If the height and width of the image are not the same, the CIE diagram will be stretched in the longer dimension.

-ysize|-height height
    Sets the height of the generated image to height pixels. The default height is 512 pixels. If the height and width of the image are not the same, the CIE diagram will be stretched in the longer dimension.

-noblack
    Don't plot the black body chromaticity curve.

-nowhite
    Don't plot the colour system's white point.

-full
    Plot the entire CIE tongue in full intensity; don't enhance the gamut of the specified colour system.

-interpwp
    Interpolate out-of-gamut colours using the colour system's white point as the origin of the interpolation line. By default, the white defined by an equal mix of the three primaries is used.

All flags can be abbreviated to their shortest unique prefix.

BUGS

Obviously, colours outside the gamut of the device used to view or print the CIE chart cannot be rendered accurately. Colours outside the Maxwell's triangle formed by the three illuminants are desaturated and rendered as the shade where the edge of the gamut triangle intersects a line drawn from the requested shade to the white point defined by an equal mixture of the illuminants (or the colour system's white point, if -interpwp is specified). These out of gamut colours are drawn ``subdued'' at 3/4 the intensity of the shades within the gamut unless the -full switch is specified, in which case in-gamut and out of gamut colours are not distinguished.

SEE ALSO
ppmdither(1), ppmquant(1), ppm(5)

AUTHOR
Copyright (C) 1995 by John Walker (kelvin@fourmilab.ch) WWW home page: http://www.fourmilab.ch/

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, without any conditions or restrictions. This software is provided ``as is'' without express or implied warranty.